org.yaml.snakeyaml.events

## Enum Event.ID

- java.lang.Object
- - java.lang.Enum<Event.ID>
  - - org.yaml.snakeyaml.events.Event.ID

All Implemented Interfaces:
  Serializable, Comparable<Event.ID>

Enclosing class:
  Event

    public static enum Event.ID
    extends Enum<Event.ID>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Alias`
`Comment`
`DocumentEnd`
`DocumentStart`
`MappingEnd`
`MappingStart`
`Scalar`
`SequenceEnd`
`SequenceStart`
`StreamEnd`
`StreamStart`

### Method Summary

Methods
`static Event.ID` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Event.ID[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Alias

    public static final Event.ID Alias

#### Comment

    public static final Event.ID Comment

#### DocumentEnd

    public static final Event.ID DocumentEnd

#### DocumentStart

    public static final Event.ID DocumentStart

#### MappingEnd

    public static final Event.ID MappingEnd

#### MappingStart

    public static final Event.ID MappingStart

#### Scalar

    public static final Event.ID Scalar

#### SequenceEnd

    public static final Event.ID SequenceEnd

#### SequenceStart

    public static final Event.ID SequenceStart

#### StreamEnd

    public static final Event.ID StreamEnd

#### StreamStart

    public static final Event.ID StreamStart

### Method Detail

#### values

    public static Event.ID[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Event.ID c : Event.ID.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Event.ID valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null